Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::GraphicsAdapterInformation Class Reference

グラフィックスアダプタ情報 More...

`#include <GraphicsAdapterInformation.h>`

List of all members.

## Public Member Functions
virtual int | getAdapterOrdinal ()
| アダプタ番号の取得
virtual const D3DAdapterIdentifier & | getAdapterIdentifier ()
| アダプタ識別子の取得
virtual const String & | getName () const
| 名前の取得
virtual const String & | getDriverName () const
| ドライバ名の取得
virtual int | getDisplayModeCount () const
| ディスプレイモード数の取得
virtual D3DDISPLAYMODE | getDisplayMode (int index)
| ディスプレイモードの取得
virtual int | getAdapterFormatCount () const
| アダプタフォーマット数の取得
virtual D3DFORMAT | getAdapterFormat (int index)
| アダプタフォーマットの取得
virtual int | getDeviceCount () const
| デバイス数の取得
virtual GraphicsDeviceInformation * | getDevice (int index)
| デバイスの取得
virtual String | toString ()
| 文字列への変換
## Protected Member Functions
| GraphicsAdapterInformation (int adapterOrdinal)
| コンストラクタ
virtual | ~GraphicsAdapterInformation ()
| デストラクタ
virtual void | enumerate (GraphicsDeviceEnumeration *enumeration)
| 列挙
## Friends
class | GraphicsDeviceEnumeration

## Detailed Description

グラフィックスアダプタ情報

Definition at line 38 of file GraphicsAdapterInformation.h.

## Constructor & Destructor Documentation

Lamp::GraphicsAdapterInformation::GraphicsAdapterInformation | ( | int | adapterOrdinal | ) | `[protected]`

  | コンストラクタ Parameters:
  adapterOrdinal | 番号
Definition at line 49 of file GraphicsAdapterInformation.cpp.

## Member Function Documentation

void Lamp::GraphicsAdapterInformation::enumerate | ( | GraphicsDeviceEnumeration * | enumeration | ) | `[protected, virtual]`

  | 列挙 Parameters:
  enumeration | グラフィックスデバイス列挙
Definition at line 62 of file GraphicsAdapterInformation.cpp. References Lamp::ArrayList< GraphicsDeviceInformation * >::add(), Lamp::ArrayList< D3DFORMAT >::add(), Lamp::ArrayList< D3DDISPLAYMODE >::add(), Direct3D, Lamp::GraphicsDeviceInformation::enumerate(), Lamp::GraphicsDeviceEnumeration::getAllowedFormat(), Lamp::GraphicsDeviceEnumeration::getAllowedFormatCount(), Lamp::GraphicsBufferFormat::getColorChannelBits(), Lamp::GraphicsDeviceInformation::getDeviceComboCount(), Lamp::GraphicsDeviceEnumeration::getMinimumAdapterColorChannelBits(), Lamp::GraphicsDeviceEnumeration::getMinimumFullscreenHeight(), Lamp::GraphicsDeviceEnumeration::getMinimumFullscreenWidth(), Lamp::ArrayList< D3DFORMAT >::indexOf(), Lamp::ArrayList< D3DDISPLAYMODE >::sort(), and u_int. Referenced by Lamp::GraphicsDeviceEnumeration::enumerate().

virtual D3DFORMAT Lamp::GraphicsAdapterInformation::getAdapterFormat | ( | int | index | ) | `[inline, virtual]`

  | アダプタフォーマットの取得 Parameters:
  index | インデックス
Returns: アダプタフォーマット Definition at line 101 of file GraphicsAdapterInformation.h. References Lamp::ArrayList< D3DFORMAT >::get(). Referenced by Lamp::GraphicsDeviceInformation::enumerate().

virtual int Lamp::GraphicsAdapterInformation::getAdapterFormatCount | ( |  | ) | const`[inline, virtual]`

| アダプタフォーマット数の取得 Returns: アダプタフォーマット数 Definition at line 92 of file GraphicsAdapterInformation.h. References Lamp::ArrayList< D3DFORMAT >::getCount(). Referenced by Lamp::GraphicsDeviceInformation::enumerate().

virtual const D3DAdapterIdentifier& Lamp::GraphicsAdapterInformation::getAdapterIdentifier | ( |  | ) | `[inline, virtual]`

| アダプタ識別子の取得 Returns: アダプタ識別子 Definition at line 53 of file GraphicsAdapterInformation.h. References D3DAdapterIdentifier.

virtual int Lamp::GraphicsAdapterInformation::getAdapterOrdinal | ( |  | ) | `[inline, virtual]`

| アダプタ番号の取得 Returns: アダプタ番号 Definition at line 46 of file GraphicsAdapterInformation.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset(), Lamp::GraphicsDeviceInformation::enumerate(), and Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode().

virtual GraphicsDeviceInformation* Lamp::GraphicsAdapterInformation::getDevice | ( | int | index | ) | `[inline, virtual]`

  | デバイスの取得 Parameters:
  index | インデックス
Returns: デバイス Definition at line 117 of file GraphicsAdapterInformation.h. References Lamp::ArrayList< GraphicsDeviceInformation * >::get(). Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode(), and ~GraphicsAdapterInformation().

virtual int Lamp::GraphicsAdapterInformation::getDeviceCount | ( |  | ) | const`[inline, virtual]`

| デバイス数の取得 Returns: デバイス数 Definition at line 110 of file GraphicsAdapterInformation.h. References Lamp::ArrayList< GraphicsDeviceInformation * >::getCount(). Referenced by Lamp::GraphicsDeviceEnumeration::enumerate(), Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode(), and ~GraphicsAdapterInformation().

virtual D3DDISPLAYMODE Lamp::GraphicsAdapterInformation::getDisplayMode | ( | int | index | ) | `[inline, virtual]`

  | ディスプレイモードの取得 Parameters:
  index | インデックス
Returns: ディスプレイモード Definition at line 83 of file GraphicsAdapterInformation.h. References Lamp::ArrayList< D3DDISPLAYMODE >::get(). Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode().

virtual int Lamp::GraphicsAdapterInformation::getDisplayModeCount | ( |  | ) | const`[inline, virtual]`

| ディスプレイモード数の取得 Returns: ディスプレイモード数 Definition at line 76 of file GraphicsAdapterInformation.h. References Lamp::ArrayList< D3DDISPLAYMODE >::getCount(). Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode().

virtual const String& Lamp::GraphicsAdapterInformation::getDriverName | ( |  | ) | const`[inline, virtual]`

| ドライバ名の取得 Returns: ドライバ名 Definition at line 69 of file GraphicsAdapterInformation.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset().

virtual const String& Lamp::GraphicsAdapterInformation::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 62 of file GraphicsAdapterInformation.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset().

String Lamp::GraphicsAdapterInformation::toString | ( |  | ) | `[virtual]`

| 文字列への変換 Returns: GraphicsAdapterInformationの文字列表記 Definition at line 120 of file GraphicsAdapterInformation.cpp. References Lamp::String::format(), and Lamp::String::getBytes(). Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

The documentation for this class was generated from the following files:

- GraphicsAdapterInformation.h
- GraphicsAdapterInformation.cpp